Subject: bug#30241: Emacs 26.0.91: "Generalized variables" are not defined.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jan 2018 16:16:21 +0200

> Date: Wed, 24 Jan 2018 13:25:27 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> To learn about generalized variables I think you need to
> consult the Common Lisp doc, which is quite clear about it:
> 
> https://www.cs.cmu.edu/Groups/AI/html/cltl/clm/node80.html
> 
> "The concept of variables named by symbols can be generalized to
> any storage location that can remember one piece of data, no
> matter how that location is named. Examples of such storage
> locations are the car and cdr of a cons, elements of an array,
> and components of a structure."

Maybe I'm missing something, but how is the above significantly
different from what we have in the ELisp manual now:

  A “generalized variable” or “place form” is one of the many places in
  Lisp memory where values can be stored.  The simplest place form is a
  regular Lisp variable.  But the CARs and CDRs of lists, elements of
  arrays, properties of symbols, and many other locations are also places
  where Lisp values are stored.